Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.administration
Class Attribute

    java.lang.Object
      org.esupportail.portal.channels.CStockage.administration.Attribute

public class Attribute
extends java.lang.Object

Id: Attribute.java,v 1.0 3 mai 2005 Copyright (c) 2005 Esup Portail (www.esup-portail.org) Classes: Attribute Original Author: Yohan Colmant This class represents an attribute of SERVER and/or SPACE

Field Summary
`static java.lang.String` | `ACL_GROUP_PREFIX`
`static java.lang.String` | `ACL_NAMESPACE`
`static java.lang.String` | `ACL_SECURITY`
`static java.lang.String` | `ACL_UPORTAL_GROUP`
`static java.lang.String` | `ACL_USER_PREFIX`
`static java.lang.String` | `ACTION_TYPE`
`static java.lang.String` | `ACTION_TYPE_CLASSIC`
`static java.lang.String` | `ACTION_TYPE_INJAC`
`static java.lang.String` | `AUTHENTICATION_MODE`
`static java.lang.String` | `AUTHENTICATION_MODE_ASKED`
`static java.lang.String` | `AUTHENTICATION_MODE_TRUSTED`
`static java.lang.String` | `CIFS_DISABLE_PLAIN_TEXT_PASSWORD`
`static java.lang.String` | `CIFS_DISABLE_PLAIN_TEXT_PASSWORD_FALSE`
`static java.lang.String` | `CIFS_DISABLE_PLAIN_TEXT_PASSWORD_TRUE`
`static java.lang.String` | `CIFS_DOMAIN`
`static java.lang.String` | `CIFS_RESOLVE_ORDER`
`static java.lang.String` | `INJAC_PREVIEW_URL`
`static java.lang.String` | `LABEL`
`static java.lang.String` | `LOGIN`
`static java.lang.String` | `MANAGE_ACL`
`static java.lang.String` | `MANAGE_ACL_FALSE`
`static java.lang.String` | `MANAGE_ACL_TRUE`
`static java.lang.String` | `PASSWORD`
`static java.lang.String` | `PATH`
`static java.lang.String` | `PATH_REGEXP`
`static java.lang.String` | `PATH_REGEXP_SEPARATOR`
`static java.lang.String` | `SERVER_TYPE`
`static java.lang.String` | `SERVER_TYPE_CIFS`
`static java.lang.String` | `SERVER_TYPE_WEBDAV`
`static java.lang.String` | `SHARING`
`static java.lang.String` | `SHARING_FALSE`
`static java.lang.String` | `SHARING_TRUE`
`static java.lang.String` | `UNAUTHENTICATED_SERVER_URL`
`static java.lang.String` | `URL`

Constructor Summary
`Attribute(java.lang.String name)` Constructor

Method Summary
`boolean` | `equals(java.lang.Object o)` Check if this is equals to another object
`java.util.Vector` | `getAvailableValues()`
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`boolean` | `isGoodFormat()`
`boolean` | `isInvisible()`
`boolean` | `isModifiable()`
`boolean` | `isObliged()`
`void` | `setAvailableValues(java.util.Vector availableValues)`
`void` | `setInvisible(boolean invisible)`
`void` | `setModifiable(boolean modifiable)`
`void` | `setName(java.lang.String name)`
`void` | `setObliged(boolean obliged)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URL

    public static java.lang.String URL

### UNAUTHENTICATED_SERVER_URL

    public static java.lang.String UNAUTHENTICATED_SERVER_URL

### INJAC_PREVIEW_URL

    public static java.lang.String INJAC_PREVIEW_URL

### SERVER_TYPE

    public static java.lang.String SERVER_TYPE

### SERVER_TYPE_WEBDAV

    public static java.lang.String SERVER_TYPE_WEBDAV

### SERVER_TYPE_CIFS

    public static java.lang.String SERVER_TYPE_CIFS

### AUTHENTICATION_MODE

    public static java.lang.String AUTHENTICATION_MODE

### AUTHENTICATION_MODE_ASKED

    public static java.lang.String AUTHENTICATION_MODE_ASKED

### AUTHENTICATION_MODE_TRUSTED

    public static java.lang.String AUTHENTICATION_MODE_TRUSTED

### LOGIN

    public static java.lang.String LOGIN

### PASSWORD

    public static java.lang.String PASSWORD

### MANAGE_ACL

    public static java.lang.String MANAGE_ACL

### MANAGE_ACL_TRUE

    public static java.lang.String MANAGE_ACL_TRUE

### MANAGE_ACL_FALSE

    public static java.lang.String MANAGE_ACL_FALSE

### ACL_NAMESPACE

    public static java.lang.String ACL_NAMESPACE

### ACL_USER_PREFIX

    public static java.lang.String ACL_USER_PREFIX

### ACL_GROUP_PREFIX

    public static java.lang.String ACL_GROUP_PREFIX

### ACL_UPORTAL_GROUP

    public static java.lang.String ACL_UPORTAL_GROUP

### ACL_SECURITY

    public static java.lang.String ACL_SECURITY

### CIFS_DOMAIN

    public static java.lang.String CIFS_DOMAIN

### CIFS_RESOLVE_ORDER

    public static java.lang.String CIFS_RESOLVE_ORDER

### CIFS_DISABLE_PLAIN_TEXT_PASSWORD

    public static java.lang.String CIFS_DISABLE_PLAIN_TEXT_PASSWORD

### CIFS_DISABLE_PLAIN_TEXT_PASSWORD_TRUE

    public static java.lang.String CIFS_DISABLE_PLAIN_TEXT_PASSWORD_TRUE

### CIFS_DISABLE_PLAIN_TEXT_PASSWORD_FALSE

    public static java.lang.String CIFS_DISABLE_PLAIN_TEXT_PASSWORD_FALSE

### LABEL

    public static java.lang.String LABEL

### PATH

    public static java.lang.String PATH

### PATH_REGEXP

    public static java.lang.String PATH_REGEXP

### PATH_REGEXP_SEPARATOR

    public static java.lang.String PATH_REGEXP_SEPARATOR

### ACTION_TYPE

    public static java.lang.String ACTION_TYPE

### ACTION_TYPE_CLASSIC

    public static java.lang.String ACTION_TYPE_CLASSIC

### ACTION_TYPE_INJAC

    public static java.lang.String ACTION_TYPE_INJAC

### SHARING

    public static java.lang.String SHARING

### SHARING_TRUE

    public static java.lang.String SHARING_TRUE

### SHARING_FALSE

    public static java.lang.String SHARING_FALSE

Constructor Detail

### Attribute

    public Attribute(java.lang.String name)

  Constructor

Parameters:
  `name` - the name to set to the attribute

Method Detail

### getAvailableValues

    public java.util.Vector getAvailableValues()

  Returns:
    Returns the availableValues.

### setAvailableValues

    public void setAvailableValues(java.util.Vector availableValues)

  Parameters:
    `availableValues` - The availableValues to set.

### isGoodFormat

    public boolean isGoodFormat()

  Returns:
    Returns the goodFormat.

### isModifiable

    public boolean isModifiable()

  Returns:
    Returns the modifiable.

### setModifiable

    public void setModifiable(boolean modifiable)

  Parameters:
    `modifiable` - The modifiable to set.

### isInvisible

    public boolean isInvisible()

  Returns:
    Returns the invisible.

### setInvisible

    public void setInvisible(boolean invisible)

  Parameters:
    `invisible` - The invisible to set.

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name to set.

### isObliged

    public boolean isObliged()

  Returns:
    Returns the obliged.

### setObliged

    public void setObliged(boolean obliged)

  Parameters:
    `obliged` - The obliged to set.

### getValue

    public java.lang.String getValue()

  Returns:
    Returns the value.

### setValue

    public void setValue(java.lang.String value)

  Parameters:
    `value` - The value to set.

### equals

    public boolean equals(java.lang.Object o)

  Check if this is equals to another object

  Parameters:
    `o` - the object to check
  Returns:
    true if equals, false else

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD